package com.ztmap.project.zhny.netswdl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 上网电量对象 t_net_swdl
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TNetSwdl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数值 */
    @Excel(name = "数值")
    private Double data;

    /** 时间 */
    @Excel(name = "时间")
    private String dataTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setData(Double data)
    {
        this.data = data;
    }

    public Double getData()
    {
        return data;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("data", getData())
            .append("dataTime", getDataTime())
            .toString();
    }
}
